WSFONTLOAD(8) | System Manager's Manual | WSFONTLOAD(8)

# NAME

`wsfontload` — load a font bitmap into the wsfont pool or a wscons display device

# SYNOPSIS

`wsfontload` | [`-Bbv`] [`-e` encoding] [`-f` wsdev] [`-h` height] [`-N` name] [`-w` width] [fontfile]

`wsfontload` | `-l`

# DESCRIPTION

The `wsfontload` utility loads a font bitmap into the wsfont font pool (or a wscons device if the device driver supports this). The font gets assigned a name in this process which it can be referred to by later for use on a display screen. The font is loaded from the specified fontfile, or from standard input if fontfile is not provided.

The options are:

`-B`
  Specifies that the font data is ordered right-to-left byte wise. The default is left-to-right.
`-b`
  Specifies that the font data is ordered right-to-left bit wise. The default is left-to-right.
`-e` encoding
  Sets the encoding of the font. This can be either a symbolic name or a numeric value. Currently recognized names are:
  ‘`iso`’
    ISO-8859-1 encoding
  ‘`ibm`’
    IBM CP437 encoding
  ‘`pcvt`’
    the custom encoding of the supplemental fonts which came with the BSD “pcvt” console driver
  ‘`iso2`’
    ISO-8859-2 (Eastern European) encoding
  ‘`iso7`’
    ISO-8859-7 (Greek) encoding
  ‘`koi8r`’
    KOI8-R (Russian) encoding

  Per default, ‘`iso`’ is assumed.

`-f` wsdev
  Specify the device to operate on. Default is /dev/wsfont.
`-h` height
  Sets the height of a font character in pixels. Default is 16.
`-l`
  Print a list of fonts that have been loaded or are built-in to the kernel.
`-N` name
  Specifies a name which can be used later to refer to the font. If none is given, the fontfile name is used to create one.
`-v`
  Prints the font's properties before loading it.
`-w` width
  Sets the width of a font character in pixels. Default is 8.

`wsfontload` supports ‘`.wsf`’ file format that contains the necessary information about the font in the font file itself. Such files can be loaded without specifying any arguments, though `-N` can be used to override the font name.

Typically, the `wsfontload` utility will be executed during system startup by the rc(8) script. See wscons.conf(5).

# FILES

- /usr/share/wscons/fonts

# EXAMPLES

Load ISO-encoded 20-pixel high Terminus font and use it on the current console

    # wsfontload /usr/share/wscons/fonts/ter-120n.wsf
    # wsfontload -l | grep Terminus
    Terminus20-ISO8859-1 10x20
    # wsconsctl -f `tty` -dw font=Terminus20-ISO8859-1

Load the ISO-encoded 16×32 Spleen font and switch the first console screen to use it:

    # wsfontload -w 16 -h 32 -e iso -N spleen32 \
    	/usr/share/wscons/fonts/spleen-16x32.fnt
    # wsconsctl -dw font=spleen32

Load the IBM-encoded 8×8-font from the wscons(4) distribution:

    # wsfontload -N myname -h 8 -e ibm \
        /usr/share/wscons/fonts/vt220l.808

This or another 8×8-font is necessary to use the 50-line screen type on vga(4) displays.

# SEE ALSO

wscons(4), wsfont(4), wscons.conf(5), wsconsctl(8)

# HISTORY

Support for ‘`.wsf`’ font files appeared in NetBSD 10.0.

# BUGS

Many features are missing.

The ‘`.wsf`’ file format is undocumented.

There is no way to remove a loaded font.

June 9, 2022 | NetBSD 10.99